RubyGems Navigation menu

dry-schema 1.5.1

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.13.4 - May 22, 2024 (45 KB)
  2. 1.13.3 - August 26, 2023 (45 KB)
  3. 1.13.2 - May 31, 2023 (45 KB)
  4. 1.13.1 - April 07, 2023 (45 KB)
  5. 1.13.0 - November 24, 2022 (45 KB)
  6. 1.5.1 - May 21, 2020 (39 KB)
Show all versions (57 total)

Runtime Dependencies (7):

dry-configurable ~> 0.8, >= 0.8.3
dry-core ~> 0.4
dry-equalizer ~> 0.2
dry-logic ~> 1.0
dry-types ~> 1.4

Development Dependencies (3):

bundler >= 0
rake >= 0
rspec >= 0

Owners:

Pushed by:

Authors:

  • Piotr Solnica

SHA 256 checksum:

6bc560a950c49cfe5aaff937a36ef46d4c27eb9e7594936e344f29f39ff8906c

Total downloads 51,588,128

For this version 607,500

License:

MIT

Required Ruby Version: >= 2.4.0

Links: